<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\DB;

return new class extends Migration
{
    public function up(): void
    {
        if (DB::getDriverName() !== 'sqlite') {
            DB::statement("ALTER TABLE accurate_export_batches MODIFY COLUMN type ENUM('sales', 'purchases', 'sales_order', 'delivery_order')");
        }
    }

    public function down(): void
    {
        if (DB::getDriverName() !== 'sqlite') {
            DB::statement("ALTER TABLE accurate_export_batches MODIFY COLUMN type ENUM('sales', 'purchases', 'sales_order')");
        }
    }
};
